<?php
namespace Drupal\pylot_bridge\Services;

use Drupal\Core\Cache\Cache;

class RequestService {
    public static function cachedFileGetContent($url, bool $use_include_path = false, $context = null) {
        $cache = \Drupal::cache();

        $hash = hash('md5', $url);

        $cached_data = $cache->get('bridge_request_' . $hash);

        if($cached_data) {
            return $cached_data->data;
        } else {
            $raw = file_get_contents($url, $use_include_path, $context);
            $cache->set('bridge_request_' . $hash, $raw);
            return $raw;
        }
    }
}

